package com.eco.plugin.wink.workflow.controller;

import com.fr.decision.fun.impl.AbstractControllerRegisterProvider;
import com.fr.plugin.context.PluginContexts;
import com.fr.stable.fun.Authorize;

@Authorize(callSignKey = "com.eco.plugin.wink.zjgintegrate")
public class ControllerRegisterProvider extends AbstractControllerRegisterProvider {
    @Override
    public Class<?>[] getControllers() {

        if(!PluginContexts.currentContext().isAvailable()) {
            return new Class[]{};
        }

        return new Class[]{
                ControllerSelf.class,FormController.class,WorkflowConfigController.class,
                DataProcessingController.class,WorkflowProcessController.class
        };
    }
}
