package com.eco.plugin.wink.workflow.db.bean;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @author wink
 * @version 10.0
 * Created by wink on 2021-07-29
 * 数据库链接信息表
 **/
@Entity
@Table(name = "plugin_wink_shop_workflow_entity_dblink")
@TableAssociation(associated = true)
public class DBLinkEntity extends BaseEntity {

    //数据库类型
    @Column(name = "dbtype")
    private String dbtype = null;

    //驱动
    @Column(name = "driver")
    private String driver = null;

    //数据库名称
    @Column(name = "dbname")
    private String dbname = null;

    //主机
    @Column(name = "host")
    private String host = null;
    //端口
    @Column(name = "port")
    private String port = null;

    //用户名
    @Column(name = "username")
    private String username = null;

    //密码
    @Column(name = "password")
    private String password = null;

    //编码
    @Column(name = "encode")
    private String encode = null;

    //模式
    @Column(name = "mode")
    private String mode = null;

    //数据库链接
    @Column(name = "url")
    private String url = null;

    //创建时间
    @Column(name = "createtime")
    private String createtime = null;

    //修改时间
    @Column(name = "updatetime")
    private String updatetime = null;

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime;
    }

    public String getDbtype() {
        return dbtype;
    }

    public void setDbtype(String dbtype) {
        this.dbtype = dbtype;
    }

    public String getDriver() {
        return driver;
    }

    public void setDriver(String driver) {
        this.driver = driver;
    }

    public String getDbname() {
        return dbname;
    }

    public void setDbname(String dbname) {
        this.dbname = dbname;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEncode() {
        return encode;
    }

    public void setEncode(String encode) {
        this.encode = encode;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
