package com.eco.plugin.wink.workflow.db.bean;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @author wink
 * @version 10.0
 * Created by wink on 2021-07-29
 * 表单明细表
 **/
@Entity
@Table(name = "plugin_wink_shop_workflow_form_detail")
@TableAssociation(associated = true)
public class FormDetailEntity extends BaseEntity {

    //表单id
    @Column(name = "formid")
    private String formid = null;

    //字段名
    @Column(name = "fieldname")
    private String fieldname = null;

    //字段描述
    @Column(name = "fielddec")
    private String fielddec = null;

    //排序
    @Column(name = "sort")
    private String sort = null;

    public String getFormid() {
        return formid;
    }

    public void setFormid(String formid) {
        this.formid = formid;
    }

    public String getFieldname() {
        return fieldname;
    }

    public void setFieldname(String fieldname) {
        this.fieldname = fieldname;
    }

    public String getFielddec() {
        return fielddec;
    }

    public void setFielddec(String fielddec) {
        this.fielddec = fielddec;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }
}
