package com.eco.plugin.wink.workflow.db.bean;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @author wink
 * @version 10.0
 * Created by wink on 2021-07-29
 * 流程节点
 **/
@Entity
@Table(name = "plugin_wink_shop_workflow_def")
@TableAssociation(associated = true)
public class WorkflowDefEntity extends BaseEntity {

    //表单id
    @Column(name = "formid")
    private String formid = null;

    //流程编码
    @Column(name = "workflowcode")
    private String workflowcode = null;

    //流程名称
    @Column(name = "workflowname")
    private String workflowname = null;

    //创建时间
    @Column(name = "createtime")
    private String createtime = null;

    public String getFormid() {
        return formid;
    }

    public void setFormid(String formid) {
        this.formid = formid;
    }

    public String getWorkflowcode() {
        return workflowcode;
    }

    public void setWorkflowcode(String workflowcode) {
        this.workflowcode = workflowcode;
    }

    public String getWorkflowname() {
        return workflowname;
    }

    public void setWorkflowname(String workflowname) {
        this.workflowname = workflowname;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }
}
