package com.eco.plugin.wink.workflow.db.bean;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.*;

/**
 * @author wink
 * @version 10.0
 * Created by wink on 2021-07-29
 * 流程执行表
 **/
@Entity
@Table(name = "plugin_wink_shop_workflow_process")
@TableAssociation(associated = true)
public class WorkflowProcessEntity extends BaseEntity {

    //表单id
    @Column(name = "formid")
    private String formid = null;

    //实体数据id
    @Column(name = "dataid")
    private String dataid = null;

    //上个流程节点
    @Column(name = "lastnode")
    private String lastnode = null;

    //当前流程节点
    @Column(name = "currentnode")
    private String currentnode = null;

    //下个流程节点
    @Column(name = "nextnode")
    private String nextnode = null;

    //经办人
    @Column(name = "operateruser")
    private String operateruser = null;

    //排序
    @Column(name = "sort")
    private String sort = null;

    //创建时间
    @Column(name = "createtime")
    private String createtime = null;

    //审核意见
    @Column(name = "comment")
    private String comment = null;

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getFormid() {
        return formid;
    }

    public void setFormid(String formid) {
        this.formid = formid;
    }

    public String getDataid() {
        return dataid;
    }

    public void setDataid(String dataid) {
        this.dataid = dataid;
    }

    public String getLastnode() {
        return lastnode;
    }

    public void setLastnode(String lastnode) {
        this.lastnode = lastnode;
    }

    public String getCurrentnode() {
        return currentnode;
    }

    public void setCurrentnode(String currentnode) {
        this.currentnode = currentnode;
    }

    public String getNextnode() {
        return nextnode;
    }

    public void setNextnode(String nextnode) {
        this.nextnode = nextnode;
    }

    public String getOperateruser() {
        return operateruser;
    }

    public void setOperateruser(String operateruser) {
        this.operateruser = operateruser;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }
}
