package com.eco.plugin.wink.workflow.utils;

import com.fr.decision.authority.data.CustomRole;
import com.fr.decision.webservice.bean.user.RoleBean;
import com.fr.decision.webservice.v10.user.CustomRoleService;
import com.fr.decision.webservice.v10.user.controller.SuperCustomRoleController;

public class FRRoleUtils {

    /**
     * 获取角色service
     * @return
     */
    private static CustomRoleService getRoleService(){
        return CustomRoleService.getInstance();
    }

    /**
     * 获取全部角色
     * @return
     * @throws Exception
     */
    public static CustomRole[] getAllRole() throws Exception {
//        List<RoleBean> roleBean = UserMiddleRoleService.getInstance().getAllCustomRoles();
        CustomRole[] roles = SuperCustomRoleController.KEY.getAllCustomRoles((String)null, "");
        return roles;
    }

    public static RoleBean getRoleByName(String rolename) throws Exception {
        return getRoleService().getCustomRole(rolename);
    }
}
