package com.eco.plugin.wink.workflow.db.bean;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @author wink
 * @version 10.0
 * Created by wink on 2021-07-29
 * 表单定义表
 **/
@Entity
@Table(name = "plugin_wink_shop_workflow_form_def")
@TableAssociation(associated = true)
public class FormDefEntity extends BaseEntity {

    //表名
    @Column(name = "tablename")
    private String tablename = null;

    //表单名称
    @Column(name = "formname")
    private String formname = null;

    //创建时间
    @Column(name = "createtime")
    private String createtime = null;

    //修改时间
    @Column(name = "updatetime")
    private String updatetime = null;

    //状态 --预留字段
    @Column(name = "status")
    private String status = null;

    public String getTablename() {
        return tablename;
    }

    public void setTablename(String tablename) {
        this.tablename = tablename;
    }

    public String getFormname() {
        return formname;
    }

    public void setFormname(String formname) {
        this.formname = formname;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
