package com.eco.plugin.wink.workflow.db.bean;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @author wink
 * @version 10.0
 * Created by wink on 2021-07-29
 * 流程定义表
 **/
@Entity
@Table(name = "plugin_wink_shop_workflow_node")
@TableAssociation(associated = true)
public class WorkflowNodeEntity extends BaseEntity {

    //表单id
    @Column(name = "formid")
    private String formid = null;

    //流程id
    @Column(name = "workflowid")
    private String workflowid = null;

    //节点编码 ---预留字段
    @Column(name = "node")
    private String node = null;

    //节点名称
    @Column(name = "nodename")
    private String nodename = null;

    //排序
    @Column(name = "sort")
    private String sort = null;

    //角色名称
    @Column(name = "rolename")
    private String rolename = null;

    public String getRolename() {
        return rolename;
    }

    public void setRolename(String rolename) {
        this.rolename = rolename;
    }

    public String getFormid() {
        return formid;
    }

    public void setFormid(String formid) {
        this.formid = formid;
    }

    public String getNode() {
        return node;
    }

    public void setNode(String node) {
        this.node = node;
    }

    public String getNodename() {
        return nodename;
    }

    public void setNodename(String nodename) {
        this.nodename = nodename;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getWorkflowid() {
        return workflowid;
    }

    public void setWorkflowid(String workflowid) {
        this.workflowid = workflowid;
    }
}
